# EIS-Datenbank ab Version 1.1

CREATE TABLE autorenwechsel (
  autorenwechsel_anbieter_FK int(11) NOT NULL default '0',
  autorenwechsel_angefragt_FK int(11) NOT NULL default '0',
  autorenwechsel_dok_FK int(11) NOT NULL default '0',
  autorenwechsel_dok_typ varchar(100) NOT NULL default '',
  autorenwechsel_datum datetime NOT NULL default '0000-00-00 00:00:00'
) TYPE=MyISAM;

CREATE TABLE begriffe (
  begriffe_ID int(11) NOT NULL auto_increment,
  begriffe_begriff varchar(200) NOT NULL default '',
  begriffe_stufe tinyint(4) NOT NULL default '0',
  begriffe_oberstufe int(11) default '0',
  PRIMARY KEY  (begriffe_ID)
) TYPE=MyISAM;

CREATE TABLE belegung (
  belegung_ID_FK tinyint(4) NOT NULL default '0',
  belegung_typ varchar(30) NOT NULL default '',
  belegung_teilnehmer_FK tinyint(4) NOT NULL default '0'
) TYPE=MyISAM;

CREATE TABLE chatzuordnung (
  chatzuordnung_userid_FK int(11) NOT NULL default '0',
  chatzuordnung_chatraumname varchar(100) NOT NULL default ''
) TYPE=MyISAM;

CREATE TABLE dokumente (
  dokumente_ID int(11) NOT NULL auto_increment,
  dokumente_titel varchar(250) NOT NULL default '',
  dokumente_kommentar longtext,
  dokumente_pfad varchar(250) NOT NULL default '',
  dokumente_datum datetime NOT NULL default '0000-00-00 00:00:00',
  dokumente_autor_FK int(11) NOT NULL default '0',
  dokumente_klassifikation_FK int(11) NOT NULL default '0',
  dokumente_version varchar(5) NOT NULL default '1.0',
  PRIMARY KEY  (dokumente_ID)
) TYPE=MyISAM;

CREATE TABLE dokumentzuordnung (
  dokumentzuordnung_dok_ID int(11) NOT NULL default '0',
  dokumentzuordnung_dok_typ varchar(100) NOT NULL default '0',
  dokumentzuordnung_FK_ID int(11) NOT NULL default '0',
  dokumentzuordnung_FK_typ varchar(100) NOT NULL default '0',
  dokumentzuordnung_datum datetime NOT NULL default '0000-00-00 00:00:00',
  dokumentzuordnung_freigabe tinyint(4) NOT NULL default '0'
) TYPE=MyISAM;

CREATE TABLE email (
  email_ID int(11) NOT NULL auto_increment,
  email_an varchar(50) NOT NULL default '',
  email_betreff varchar(150) NOT NULL default '',
  email_text longtext NOT NULL,
  email_verfasser_FK int(11) NOT NULL default '0',
  email_datum datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (email_ID)
) TYPE=MyISAM;

CREATE TABLE email_adressbuch (
  email_adressbuch_ID int(11) NOT NULL auto_increment,
  email_adressbuch_mailadresse varchar(150) NOT NULL default '',
  email_adressbuch_nickname varchar(100) NOT NULL default '',
  email_adressbuch_name varchar(100) NOT NULL default '',
  email_adressbuch_verfasser_FK int(11) NOT NULL default '0',
  PRIMARY KEY  (email_adressbuch_ID),
  UNIQUE KEY email_adressbuch_mailadresse (email_adressbuch_mailadresse)
) TYPE=MyISAM;

CREATE TABLE faktendaten (
  faktendaten_ID int(11) NOT NULL auto_increment,
  faktendaten_frage longtext NOT NULL,
  faktendaten_antwort longtext NOT NULL,
  faktendaten_autor_FK int(11) NOT NULL default '0',
  faktendaten_faktentyp varchar(100) NOT NULL default '',
  faktendaten_klassifikation_FK int(11) NOT NULL default '0',
  faktendaten_datum datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (faktendaten_ID)
) TYPE=MyISAM;

CREATE TABLE grosses_forum (
  chat_Id int(10) unsigned NOT NULL auto_increment,
  theText longtext NOT NULL,
  theNick varchar(30) NOT NULL default '',
  PRIMARY KEY  (chat_Id),
  UNIQUE KEY id (chat_Id)
) TYPE=MyISAM;

CREATE TABLE news (
  news_ID int(11) NOT NULL auto_increment,
  news_datum datetime NOT NULL default '0000-00-00 00:00:00',
  news_ueberschrift varchar(200) NOT NULL default '',
  news_meldung longtext NOT NULL,
  news_autor_FK int(11) NOT NULL default '0',
  news_ablaufdatum date NOT NULL default '0000-00-00',
  PRIMARY KEY  (news_ID)
) TYPE=MyISAM;

CREATE TABLE newsgroups (
  newsgroups_ID int(11) NOT NULL auto_increment,
  newsgroups_themen varchar(50) NOT NULL default '',
  newsgroups_definition longtext NOT NULL,
  newsgroups_datum date NOT NULL default '0000-00-00',
  newsgroups_nutzer_FK int(11) NOT NULL default '0',
  PRIMARY KEY  (newsgroups_ID)
) TYPE=MyISAM;

CREATE TABLE newsgroups_message (
  newsgroups_message_newsgroup_FK int(11) NOT NULL default '0',
  newsgroups_message_betreff varchar(100) NOT NULL default '',
  newsgroups_message longtext NOT NULL,
  newsgroups_message_datum datetime NOT NULL default '0000-00-00 00:00:00',
  newsgroups_message_autor_FK int(11) NOT NULL default '0'
) TYPE=MyISAM;

CREATE TABLE nutzerdaten (
  nutzerdaten_ID int(11) NOT NULL auto_increment,
  nutzerdaten_geschlecht tinyint(4) NOT NULL default '0',
  nutzerdaten_vorname text NOT NULL,
  nutzerdaten_nachname text NOT NULL,
  nutzerdaten_geburtsdatum text NOT NULL,
  nutzerdaten_matrikelnummer int(11) NOT NULL default '0',
  nutzerdaten_strasse text NOT NULL,
  nutzerdaten_land varchar(50) NOT NULL default '',
  nutzerdaten_plz int(6) NOT NULL default '0',
  nutzerdaten_ort text NOT NULL,
  nutzerdaten_email text NOT NULL,
  nutzerdaten_telefon text NOT NULL,
  nutzerdaten_mobilfunk text NOT NULL,
  nutzerdaten_bemerkungen text NOT NULL,
  nutzerdaten_status varchar(40) NOT NULL default '',
  nutzerdaten_photo varchar(100) NOT NULL default '',
  nutzerdaten_semester tinyint(4) NOT NULL default '0',
  nutzerdaten_studiengang tinyint(4) NOT NULL default '0',
  nutzerdaten_sprache tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (nutzerdaten_ID)
) TYPE=MyISAM;

INSERT INTO nutzerdaten VALUES (1, 0, 'Administrator', '', '', 0, '', '', 0, '', '', '', '', '', 'Administrator', '', 0, 0, 0);

CREATE TABLE nutzertabelle (
  nutzertabelle_nutzer_FK int(11) NOT NULL default '0',
  nutzertabelle_passwort varchar(50) NOT NULL default '',
  nutzertabelle_username varchar(30) NOT NULL default '',
  UNIQUE KEY nutzertabelle_passwort (nutzertabelle_passwort),
  UNIQUE KEY nutzertabelle_username (nutzertabelle_username)
) TYPE=MyISAM;

INSERT INTO nutzertabelle VALUES (1, '1c2c8b8cb3e3f415c9249fe2b8c6d1b6', 'admin');

CREATE TABLE projekt (
  projekt_ID int(11) NOT NULL auto_increment,
  projekt_seminar_FK int(11) NOT NULL default '0',
  projekt_projekttitel varchar(100) NOT NULL default '',
  projekt_abstract longtext NOT NULL,
  projekt_anbieter_FK int(11) NOT NULL default '0',
  projekt_semester tinyint(4) NOT NULL default '0',
  projekt_studienabschnitt tinyint(4) NOT NULL default '0',
  projekt_maxanzahl tinyint(4) default NULL,
  projekt_studiengang_FK tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (projekt_ID)
) TYPE=MyISAM;

CREATE TABLE quellen (
  quellen_ID int(11) NOT NULL auto_increment,
  quellen_autor_1 varchar(200) default NULL,
  quellen_autor_2 varchar(200) default NULL,
  quellen_autor_3 varchar(200) default NULL,
  quellen_titel varchar(200) NOT NULL default '',
  quellen_verlag varchar(150) default NULL,
  quellen_jahr year(4) default NULL,
  quellen_serie varchar(200) default NULL,
  quellen_empfehler_FK int(11) NOT NULL default '0',
  quellen_zeitschrifttitel varchar(250) default NULL,
  quellen_zeitschriftausgabe smallint(6) default NULL,
  quellen_zeitschriftjahrgang smallint(6) default NULL,
  quellen_seitenangabe varchar(20) default NULL,
  quellen_kommentar longtext,
  quellen_URL varchar(250) default NULL,
  quellen_typ varchar(20) NOT NULL default '',
  quellen_klassifikation_FK int(11) NOT NULL default '0',
  quellen_datum datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (quellen_ID)
) TYPE=MyISAM;

CREATE TABLE seminar (
  seminar_ID int(11) NOT NULL auto_increment,
  seminar_seminartitel varchar(100) NOT NULL default '',
  seminar_abstract longtext NOT NULL,
  seminar_anbieter_FK int(11) NOT NULL default '0',
  seminar_semester tinyint(4) NOT NULL default '0',
  seminar_studienabschnitt tinyint(4) NOT NULL default '0',
  seminar_maxanzahl tinyint(4) default NULL,
  seminar_studiengang_FK tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (seminar_ID)
) TYPE=MyISAM;

CREATE TABLE session (
  session_ID varchar(200) NOT NULL default '',
  session_user_FK int(11) NOT NULL default '0',
  session_endzeit int(11) NOT NULL default '0'
) TYPE=MyISAM;

CREATE TABLE studiengaenge (
  studiengang_ID int(11) NOT NULL auto_increment,
  studiengang_bezeichnung varchar(100) NOT NULL default '',
  studiengang_hauptstudium tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (studiengang_ID)
) TYPE=MyISAM;

CREATE TABLE termine (
  termin_ID int(11) NOT NULL auto_increment,
  termin_veranstaltung_FK int(11) NOT NULL default '0',
  termin_veranstaltung_typ varchar(50) NOT NULL default '',
  termin_startzeit time NOT NULL default '00:00:00',
  termin_endzeit time NOT NULL default '00:00:00',
  termin_tag varchar(15) NOT NULL default '',
  termin_raum varchar(20) NOT NULL default '',
  termin_gebaeude varchar(20) default NULL,
  PRIMARY KEY  (termin_ID)
) TYPE=MyISAM;

CREATE TABLE verschlagwortung (
  verschlagwortung_schlagwort_FK int(11) NOT NULL default '0',
  verschlagwortung_dok_FK int(11) NOT NULL default '0',
  verschlagwortung_dok_typ varchar(100) NOT NULL default ''
) TYPE=MyISAM;