<?php

/**********************************************************
# Datei: wissensmanagementfunktionen.php                  #
# Beschreibung:                                           #
# Zentrale Funktionendatei fr das Wissensmanagement-     #
# modul fr EIS. Hier werden globale Variablen            #
# festgelegt und eine Datenbank-Funktions-API bereit-     #
# gestellt.                                               #
# Autor: Oliver Marahrens                                 #
# eMail: olli@borbra.de                                   #
# Erstellungsdatum: 11.03.2002                            #
# Alle Rechte obliegen dem Autoren.                       #
**********************************************************/

include (dirname(__FILE__)."/../../open.inc.php");
include (dirname(__FILE__)."/../../config.inc.php");
// JavaScripte einbinden... - fr globale JavaScripte, derzeit nicht vorhanden
// echo "<script type=\"text/javascript\" language=\"JavaScript\">";
// include (dirname(__FILE__)."/funktionen.js");
// echo "</script>";

// Version von EIS-Board, kann gendert werden, wenn Sie eine eigene Version benennen mchten
$__EIS_VERSION__ = "1.1.1";

// Hier werden die verfgbaren Sprachen eingestellt
$spr[0] = "deutsch";

// Ausfhren von Sytemfunktionen

loesch_abgelaufene_news();      # Abgelaufene News lschen
loesch_session_ID();            # Abgelaufene Sessions lschen
export_to_wddx();               # Routinemssiger Export der Datenbank ins XML-Archiv

if (phpversion() >= 4.2) {
        // Die Session wird in jeder Datei bentigt und manchmal per GET, manchmal per POST bermittelt
        // Hier erfolgt die Umformung in die Sessionvariable, unabhngig von der bermittlung
        if (isset($_GET["session"])) {
                $session = $_GET["session"];
        }
        if (isset($_POST["session"])) {
                $session = $_POST["session"];
        }
}

// Ab hier Funktionen

function gib_status($User_ID) {

/*****************************************************
# Funktion zum Herausfiltern des Status              #
#                                                    #
# Erstellungsdatum: 21.03.2002                       #
# Erwartete bergaben:                               #
# - $User_ID = ID des Users                          #
# Rckgabe:                                          #
# Status bzw. Zugriffsrechte des Users               #
*****************************************************/

        $suchuser = "SELECT * FROM nutzerdaten WHERE nutzerdaten_ID=".$User_ID;
        $suchuserjetzt = mysql_query($suchuser);
        $ergebnis = mysql_fetch_array($suchuserjetzt);
        $rueckgabe = @$ergebnis[nutzerdaten_status];

        return ($rueckgabe);

}

function gib_relevante_daten($User_ID,$tab = "*",$allesanz = "no") {

/*****************************************************
# Funktion zum Herausfiltern aller fr einen User    #
# relevanten Daten                                   #
# Erstellungsdatum: 30.03.2002                       #
# Erwartete bergaben:                               #
# - $User_ID = ID des Users                          #
# - $tab = bestimmte Tabelle (Optional)              #
# Rckgabe:                                          #
# Alle fr diesen User relevanten Daten als Array    #
# Aufbau des Arrays: Tabellenname;ID aus der Tabelle #
*****************************************************/

        $i = 0;

        // Suche zunchst alle nur fr diesen User relevanten Daten
        $suchmaterial = "SELECT * FROM dokumentzuordnung WHERE dokumentzuordnung_FK_typ=\"User\" && dokumentzuordnung_FK_ID=".$User_ID;
        if ($tab != "*") {
                 $suchmaterial .= " && dokumentzuordnung_dok_typ=\"".$tab."\"";
        }
        $suchmaterial .= " ORDER BY dokumentzuordnung_datum desc";
        $suchusermaterial = mysql_query($suchmaterial);
        //echo $suchmaterial; #to debug

                while (@$ergebnis = mysql_fetch_array($suchusermaterial)) {
                        @$rueckgabe[$i] = $ergebnis["dokumentzuordnung_dok_typ"].";".$ergebnis["dokumentzuordnung_dok_ID"];
                        $i++;
                }

        // Ist eine Tabelle angegeben, so werden die Daten auch fr den Autor gesucht
        if ($tab != "*") {
                if ($tab == "quellen") {
                        $suchmaterial = "SELECT * FROM ".$tab." WHERE ".$tab."_empfehler_FK=".$User_ID;
                }
                else {
                        $suchmaterial = "SELECT * FROM ".$tab." WHERE ".$tab."_autor_FK=".$User_ID;
                }
                
                $suchusermaterial = mysql_query($suchmaterial);
                //echo $suchmaterial; #to debug

                while (@$ergebnis = mysql_fetch_array($suchusermaterial)) {
                        @$rueckgabe[$i] = $tab.";".$ergebnis[$tab."_ID"];
                        $i++;
                }
        }

        // Danach Suche nach allen nur fr diesen User relevanten Seminaren
        $suchseminare = "SELECT * FROM belegung WHERE belegung_typ='seminar' AND belegung_teilnehmer_FK=".$User_ID;
        $suchuserseminare = mysql_query($suchseminare);
                while ($seminarergebnis = mysql_fetch_array($suchuserseminare)) {
                        if ($allesanz == "no") {
                                //Es sollen nur die News zu den belegten Seminaren angezeigt werden...
                                $suchmaterial = "SELECT * FROM dokumentzuordnung WHERE dokumentzuordnung_FK_typ=\"Seminar\" && dokumentzuordnung_dok_typ=\"news\" && dokumentzuordnung_FK_ID=".$seminarergebnis["belegung_ID_FK"]." ORDER BY dokumentzuordnung_datum desc";
                                $suchusermaterial = mysql_query($suchmaterial);
                        }
                        else {
                                $suchmaterial = "SELECT * FROM dokumentzuordnung WHERE dokumentzuordnung_FK_typ=\"Seminar\" && dokumentzuordnung_dok_typ=\"".$tab."\" && dokumentzuordnung_FK_ID=".$seminarergebnis["belegung_ID_FK"]." ORDER BY dokumentzuordnung_datum desc";
                                $suchusermaterial = mysql_query($suchmaterial);
                        }

                        while ($ergebnis = mysql_fetch_array($suchusermaterial)) {
                                @$rueckgabe[$i] = $ergebnis["dokumentzuordnung_dok_typ"].";".$ergebnis["dokumentzuordnung_dok_ID"];
                                $i++;
                        }
                }

return (@$rueckgabe);

}

function gib_nutzername($User_ID) {

/*****************************************************
# Funktion zum Herausfiltern des Nutzernamens        #
#                                                    #
# Erstellungsdatum: 12.03.2002                       #
# Erwartete bergaben:                               #
# - $User_ID = ID des Users                          #
# Rckgabe:                                          #
# Voller Name des Users                              #
*****************************************************/

        $suchuser = "SELECT * FROM nutzerdaten WHERE nutzerdaten_ID=".$User_ID." ORDER BY nutzerdaten_nachname";
        $suchuserjetzt = mysql_query($suchuser);
        $ergebnis = mysql_fetch_array($suchuserjetzt);
        @$rueckgabe = $ergebnis[nutzerdaten_vorname]." ".$ergebnis[nutzerdaten_nachname];

        return ($rueckgabe);

}

function gib_belegte_seminare($User_ID) {

/*****************************************************
# Funktion zum Herausfiltern aller von einem User    #
# belegten Seminare                                  #
# Erstellungsdatum: 12.03.2002                       #
# Erwartete bergaben:                               #
# - $User_ID = ID des Users                          #
# Rckgabe:                                          #
# Alle von diesem User belegten Seminare als Array   #
# Aufbau des Arrays: Seminar;ID                      #
*****************************************************/

        $i = 0;

        $suchseminare = "SELECT * FROM belegung WHERE belegung_typ='seminar' AND belegung_teilnehmer_FK=".$User_ID;
        $suchuserseminare = mysql_query($suchseminare);
                while ($seminarergebnis = mysql_fetch_array($suchuserseminare)) {
                        @$suchseminare = "SELECT * FROM seminar WHERE seminar_ID=".$seminarergebnis["belegung_ID_FK"];
                        $suchseminarname = mysql_query($suchseminare);
                        $seminarname = mysql_fetch_array($suchseminarname);
                        @$rueckgabe[$i] = $seminarname["seminar_seminartitel"].";".$seminarergebnis["belegung_ID_FK"];
                        $i++;
                }

return (@$rueckgabe);

}

function gib_belegte_projekte($User_ID) {

/*****************************************************
# Funktion zum Herausfiltern aller von einem User    #
# belegten Projekte                                  #
# Erstellungsdatum: 12.03.2002                       #
# Erwartete bergaben:                               #
# - $User_ID = ID des Users                          #
# Rckgabe:                                          #
# Alle von diesem User belegten Seminare als Array   #
# Aufbau des Arrays: Projekt;ID                      #
# Ausserdem: "Mutterseminar" eines Projektes         #
*****************************************************/

        $i = 0;

        $suchprojekte = "SELECT * FROM belegung WHERE belegung_typ='projekt' AND belegung_teilnehmer_FK=".$User_ID;
        $suchuserprojekte = mysql_query($suchprojekte);
                while ($projektergebnis = mysql_fetch_array($suchuserprojekte)) {
                        @$suchprojekte = "SELECT * FROM projekt WHERE projekt_ID=".$projektergebnis["belegung_ID_FK"];
                        $suchprojektname = mysql_query($suchprojekte);
                        $projektname = mysql_fetch_array($suchprojektname);
                        @$rueckgabe[$i] = $projektname["projekt_projekttitel"].";".$projektergebnis["belegung_ID_FK"].";".$projektname["projekt_seminar_FK"];
                        $i++;
                }

return (@$rueckgabe);

}



function gib_seminar_daten($Seminar_ID) {

/*****************************************************
# Funktion zum Herausfiltern aller fr ein Seminar   #
# relevanten Daten                                   #
# Erstellungsdatum: 12.03.2002                       #
# Erwartete bergaben:                               #
# - $Seminar_ID = ID des Seminars                    #
# Rckgabe:                                          #
# Alle fr dieses Seminar relevanten Daten als Array #
# Aufbau des Arrays: Tabellenname;ID aus der Tabelle #
*****************************************************/

        $i = 0;

        // Suche zunchst alle nur fr dieses Seminar relevanten Daten
        $suchmaterial = "SELECT * FROM dokumentzuordnung WHERE dokumentzuordnung_FK_typ=\"Seminar\" && dokumentzuordnung_FK_ID=".$Seminar_ID." ORDER BY dokumentzuordnung_datum desc";
        $suchseminarmaterial = mysql_query($suchmaterial);

                while ($ergebnis = mysql_fetch_array($suchusermaterial)) {
                        $rueckgabe[$i] = $ergebnis[dokumentzuordnung_dok_typ].";".$ergebnis[dokumentzuordnung_dok_ID];
                        $i++;
                }

return ($rueckgabe);

}


function gib_dateninhalte($tab, $ID) {

/*****************************************************
# Funktion zum Herausfiltern der Inhalte             #
# eines Datensatzes                                  #
# Erstellungsdatum: 12.03.2002                       #
# Erwartete bergaben:                               #
# - $tab = Tabelle, in der gesucht werden soll       #
# - $ID = ID in der Tabelle                          #
# Rckgabe:                                          #
# Array [Titel], [Typ]                               #
*****************************************************/


        $suchmaterial = "SELECT * FROM ".$tab." WHERE ".$tab."_ID=".$ID." ORDER BY ".$tab."_datum desc";
        $suchmaterialdaten = mysql_query($suchmaterial);
        $materialergebnis = mysql_fetch_array($suchmaterialdaten);

        if ($tab == "dokumente") {
                @$rueckgabe["Titel"] = $materialergebnis["dokumente_titel"];
                @$rueckgabe["Typ"] = "dokumente";
        }
        if ($tab == "news") {
                @$rueckgabe["Titel"] = $materialergebnis["news_ueberschrift"];
                @$rueckgabe["Typ"] = "news";
        }
        if ($tab == "quellen") {
                @$rueckgabe["Titel"] = $materialergebnis["quellen_titel"];
                @$rueckgabe["Typ"] = "quellen";
        }
        if ($tab == "faktendaten") {
                @$rueckgabe["Titel"] = $materialergebnis["faktendaten_frage"];
                @$rueckgabe["Typ"] = "faktendaten";
        }


return ($rueckgabe);

}

function gib_seminarliste() {

/*****************************************************
# Gibt eine Liste aller Seminare aus                 #
# Erstellungsdatum: 12.03.2002                       #
# Erwartete bergaben:                               #
# KEINE                                              #
# Rckgabe:                                          #
# Alle Seminarnamen und Nummern als CSV-Array        #
*****************************************************/

$i = 0;

        $suchseminare = "SELECT * FROM seminar ORDER BY seminar_seminartitel";
        $such = mysql_query($suchseminare);
        while ($ergebnis = mysql_fetch_array($such)) {
                @$rueckgabe[$i] = $ergebnis["seminar_seminartitel"].";".$ergebnis["seminar_ID"];
                $i++;
        }

return ($rueckgabe);

}

function gib_projektliste() {

/*****************************************************
# Gibt eine Liste aller Projekte aus                 #
# Erstellungsdatum: 02.04.2002                       #
# Erwartete bergaben:                               #
# KEINE                                              #
# Rckgabe:                                          #
# Alle Projektnamen und Nummern als CSV-Array        #
# Ausserdem: "Mutterseminar" als letzte Stelle       #
*****************************************************/

$i = 0;

        $suchseminare = "SELECT * FROM projekt ORDER BY projekt_projekttitel";
        $such = mysql_query($suchseminare);
        while ($ergebnis = mysql_fetch_array($such)) {
                $rueckgabe[$i] = $ergebnis["projekt_projekttitel"].";".$ergebnis["projekt_ID"].";".$ergebnis["projekt_seminar_FK"];
                $i++;
        }

return ($rueckgabe);

}


function gib_userliste() {

/*****************************************************
# Gibt eine Liste aller Nutzer aus                   #
# Erstellungsdatum: 12.03.2002                       #
# Erwartete bergaben:                               #
# KEINE                                              #
# Rckgabe:                                          #
# Alle Usernamen und Nummern als CSV-Array           #
*****************************************************/

$i = 0;

        $suchseminare = "SELECT * FROM nutzerdaten ORDER BY nutzerdaten_nachname";
        $such = mysql_query($suchseminare);
        while ($ergebnis = mysql_fetch_array($such)) {
                $rueckgabe[$i] = $ergebnis[nutzerdaten_vorname]." ".$ergebnis[nutzerdaten_nachname].";".$ergebnis[nutzerdaten_ID];
                $i++;
        }

return ($rueckgabe);

}

function gib_newsmeldung($news_ID) {

/*****************************************************
# Gibt eine komplette Newsmeldung aus                #
# Erstellungsdatum: 13.03.2002                       #
# Erwartete bergaben:                               #
# - $news_ID = ID der gewnschten Newsmeldung        #
# Rckgabe:                                          #
# Ueberschrift und Meldung durch /// getrennt        #
*****************************************************/

        $suchnews = "SELECT * FROM news WHERE news_ID=".$news_ID;
        $such = mysql_query($suchnews);
        $ergebnis = mysql_fetch_array($such);
        @$rueckgabe = $ergebnis["news_ueberschrift"]."///".$ergebnis["news_meldung"]."///".$ergebnis["news_autor_FK"]."///".$ergebnis["news_datum"];

return ($rueckgabe);

}

function splitdate($datum) {

/*******************************************************
# Formatioert ein MySQL-Datum in ein deutsches um      #
# Erstellungsdatum: 13.03.2002                         #
# Erwartete bergaben:                                 #
# - $datum = Datumsstring im MySQL-Format (YYYY-MM-DD) #
# Rckgabe:                                            #
# Datum im Format DD.MM.YYYY                           #
*******************************************************/

        $aufsplitten = split("-", $datum);
        $jahr = $aufsplitten[0];
        $monat = $aufsplitten[1];
        $tag = $aufsplitten[2];
        $rueckgabe = $tag.".".$monat.".".$jahr;

return ($rueckgabe);

}

function splitdatetime($datum) {

/****************************************************************
# Formatiert ein MySQL-Datum mit Uhrzeit in ein deutsches um    #
# Erstellungsdatum: 13.03.2002                                  #
# Erwartete bergaben:                                          #
# - $datum = Datumsstring im MySQL-Format (YYYY-MM-DD HH:mm:ss) #
# Rckgabe:                                                     #
# Array mit den Werten [Datum] und [Zeit] DD.MM.YYYY, XX.YY Uhr #
****************************************************************/

        $aufsplitten = split(" ", $datum);
        $dat = $aufsplitten[0];
        @$uhr = $aufsplitten[1];
        $datsplit = split("-", $dat);
        $uhrsplit = split(":", $uhr);
        $jahr = $datsplit[0];
        @$monat = $datsplit[1];
        @$tag = $datsplit[2];
        $stunde = $uhrsplit[0];
        @$minute = $uhrsplit[1];
        $rueckgabe["Datum"] = $tag.".".$monat.".".$jahr;
        $rueckgabe["Zeit"] = $stunde.".".$minute;

return ($rueckgabe);

}


function loesch_abgelaufene_news() {

/*****************************************************
# berprft alle News in der Datenbank, ob das       #
# Ablaufdatum berschritten ist und lscht diese     #
# Erstellungsdatum: 15.03.2002                       #
# Erwartete bergaben:                               #
# KEINE                                              #
# Rckgabe:                                          #
# KEINE                                              #
*****************************************************/

$heute = mktime(0,0,0,date("m"),date("d"),date("Y"));

        $suchnews = "SELECT * FROM news WHERE news_ablaufdatum!='0000-00-00'";
        $such = mysql_query($suchnews);
        while ($ergebnis = mysql_fetch_array($such)) {
                //echo "News-ID ".$ergebnis["news_ID"]." abgelaufen!<br>"; # to debug
                $aufsplitten = split("-", $ergebnis["news_ablaufdatum"]);
                $jahr = $aufsplitten[0];
                $monat = $aufsplitten[1];
                $tag = $aufsplitten[2];
                $meldungsdatum = mktime(0,0,0,$monat,$tag,$jahr);
                if ($meldungsdatum < $heute) {
                        $sql = "DELETE FROM news WHERE news_ID=".$ergebnis["news_ID"];
                        $tues = mysql_query($sql);
                        $sql = "DELETE FROM dokumentzuordnung WHERE dokumentzuordnung_dok_typ='news' && dokumentzuordnung_dok_ID=".$ergebnis["news_ID"];
                        $tues = mysql_query($sql);
                }
        }

}

function gib_klassenliste() {

/*****************************************************
# Gibt eine Liste aller Klassen aus                  #
# Erstellungsdatum: 24.03.2002                       #
# Erwartete bergaben:                               #
# KEINE                                              #
# Rckgabe:                                          #
# Alle Klassendaten als CSV-Array                    #
*****************************************************/

$i = 0;

        $suchklassen = "SELECT * FROM begriffe ORDER BY begriffe_begriff";
        $such = mysql_query($suchklassen);
        while ($ergebnis = mysql_fetch_array($such, MYSQL_ASSOC)) {
                $rueckgabe[$i] = $ergebnis["begriffe_begriff"].";".$ergebnis["begriffe_ID"].";".$ergebnis["begriffe_stufe"].";".$ergebnis["begriffe_oberstufe"];
                $i++;
        }

return ($rueckgabe);

}

function loesch_session_id() {

/*****************************************************
# Lscht abgelaufene Session-IDs aus der DB          #
# Erstellungsdatum: 17.03.2002                       #
# Erwartete bergaben:                               #
# KEINE                                              #
# Rckgabe:                                          #
# KEINE                                              #
*****************************************************/

$aktuellezeit = mktime(date("H"),date("i"),date("s"),date("m"),date("d"),date("Y"));
        $suchklassen = "SELECT * FROM session WHERE session_endzeit<".$aktuellezeit;
        $such = mysql_query($suchklassen);
        while ($ergebnis = mysql_fetch_array($such)) {
                $userweg = gib_session_user($ergebnis["session_ID"]);
                @$chatloeschen = mysql_query("DELETE FROM chatzuordnung WHERE chatzuordnung_userid_FK = '".$userweg."'");
                $loesch = "DELETE FROM session WHERE session_ID='".$ergebnis["session_ID"]."'";
                $tues = mysql_query($loesch);
        }

}

function gib_session_user($sess) {

/************************************************************
# Gibt die User-ID des aktuell eingeloggten Users zurck    #
# Erstellungsdatum: 17.03.2002                              #
# Erwartete bergaben:                                      #
# - $sess = aktuelle Session-ID                             #
# Rckgabe:                                                 #
# User-ID                                                   #
************************************************************/

$i = 0;

        $suchklassen = "SELECT * FROM session WHERE session_ID='".$sess."'";
        $such = mysql_query($suchklassen);
        @$ergebnis = mysql_fetch_array($such);
        if ($ergebnis) {
                $rueckgabe = $ergebnis["session_user_FK"];
        }
        else {
                $rueckgabe = "Fehler!";
        }

return ($rueckgabe);

}


function loesche_schlagwort($sw) {

/************************************************************
# Lscht Schlagworte aus der Begriffstabelle                #
# Erstellungsdatum: 21.03.2002                              #
# Erwartete bergaben:                                      #
# - $sw = zu lschende Schlagwort-ID                        #
# Rckgabe:                                                 #
# true fr Erfolg                                           #
************************************************************/

$sql = "DELETE FROM begriffe WHERE begriffe_ID=".$sw;
$tues = mysql_query($sql);
$sql = "DELETE FROM verschlagwortung WHERE verschlagwortung_schlagwort_FK=".$sw;
$tues2 = mysql_query($sql);

if ($tues && $tues2) {
        return true;
}
else {
        return false;
}

}


function check_unterbegriffe($sw,$aktustufe,$st) {

/************************************************************
# EXPERIMENTELL ---- Nicht ohne Modifikationen anwenden!!!  #
# Prft ein Schlagwort auf Unterbegriffe ab                 #
# Erstellungsdatum: 21.03.2002                              #
# Erwartete bergaben:                                      #
# - $sw = zu prfende Schlagwort-ID                         #
# Rckgabe:                                                 #
# KEINE                                                     #
************************************************************/

        @$check = "SELECT * FROM begriffe WHERE begriffe_oberstufe=".$sw;
        @$checkit = mysql_query($check);
        @$checkstufe = mysql_fetch_array($checkit);
        if ($aktustufe != -1) {
                $sql = "UPDATE begriffe SET begriffe_stufe='$st', begriffe_oberstufe='".$aktustufe."' WHERE begriffe_oberstufe=".$sw;
                $tues = mysql_query($sql);
        }
        $st++;
        $sql2 = "UPDATE begriffe SET begriffe_stufe='$st' WHERE begriffe_oberstufe=".$checkstufe["begriffe_ID"];
        @$tues2 = mysql_query($sql2);
        @check_unterbegriffe($checkstufe["begriffe_ID"],-1,$st);

        /*************
        while (@($changeunterstufen = mysql_fetch_array($checkit))) {
                $st = $changeunterstufen["begriffe_stufe"] - 1;
                if ($aktustufe != -1) {
                        $sql = "UPDATE begriffe SET begriffe_stufe='$st', begriffe_oberstufe='".$aktustufe."' WHERE begriffe_ID=".$changeunterstufen["begriffe_ID"];
                }
                else {
                        $sql = "UPDATE begriffe SET begriffe_stufe='$st' WHERE begriffe_ID=".$changeunterstufen["begriffe_ID"];
                }
                $checkweiter = "SELECT * FROM begriffe WHERE begriffe_oberstufe=".$changeunterstufen["begriffe_ID"];
                @$checkitweiter = mysql_query($checkweiter);
                $erg = mysql_fetch_array($checkitweiter);
                check_unterbegriffe($erg["begriffe_ID"],-1);
        }
        **************/
}


function gib_faqdaten($faq_ID) {

/*****************************************************************
# Gibt einen kompletten Faktendatensatz zurck                   #
# Erstellungsdatum: 23.03.2002                                   #
# Erwartete bergaben:                                           #
# - $faq_ID = ID des gewnschten Datensatzes                     #
# Rckgabe:                                                      #
# Frage, Antwort, Typ, Autor und Datum durch /// getrennt        #
*****************************************************************/

        $suchnews = "SELECT * FROM faktendaten WHERE faktendaten_ID=".$faq_ID;
        $such = mysql_query($suchnews);
        $ergebnis = mysql_fetch_array($such);
        @$rueckgabe = $ergebnis["faktendaten_frage"]."///".$ergebnis["faktendaten_antwort"]."///".$ergebnis["faktendaten_faktentyp"]."///".$ergebnis["faktendaten_autor_FK"]."///".$ergebnis["faktendaten_datum"];

return ($rueckgabe);

}


function gib_quellendaten($quellen_ID) {

/*****************************************************************
# Gibt einen kompletten Quellendatensatz zurck                  #
# Erstellungsdatum: 23.03.2002                                   #
# Erwartete bergaben:                                           #
# - $quellen_ID = ID des gewnschten Datensatzes                 #
# Rckgabe:                                                      #
# alle Datenstze in Tabellenreihenfolge, durch /// getrennt     #
*****************************************************************/

        $suchnews = "SELECT * FROM quellen WHERE quellen_ID=".$quellen_ID;
        $such = mysql_query($suchnews);
        $ergebnis = mysql_fetch_array($such, MYSQL_BOTH);

return ($ergebnis);

}

function gib_materialdaten($material_ID) {

/***********************************************************************
# Gibt einen kompletten Materialdatensatz zurck                       #
# Erstellungsdatum: 24.03.2002                                         #
# Erwartete bergaben:                                                 #
# - $quellen_ID = ID des gewnschten Datensatzes                       #
# Rckgabe:                                                            #
# Titel, Kommentar, Pfad, Autor, Datum, Version, durch /// getrennt    #
***********************************************************************/

        $suchnews = "SELECT * FROM dokumente WHERE dokumente_ID=".$material_ID;
        $such = mysql_query($suchnews);
        $ergebnis = mysql_fetch_array($such);
        @$rueckgabe = $ergebnis["dokumente_titel"]."///".$ergebnis["dokumente_kommentar"]."///".$ergebnis["dokumente_pfad"]."///".$ergebnis["dokumente_autor_FK"]."///".$ergebnis["dokumente_datum"]."///".$ergebnis["dokumente_version"];

return ($rueckgabe);

}

function suche($tab, $suchstr, $tolerant, $verknuepfung, $thesaurus = "") {

/*****************************************************
# Funktion zum Suchen in einer oder mehrerer         #
# Tabellen                                           #
# Erstellungsdatum: 26.03.2002                       #
# Erwartete bergaben:                               #
# - $tab = Tabelle, in der gesucht werden soll       #
# - $suchstr = Suchanfrage                           #
# - $tolerant = Wenn nicht "yes" wird genau gesucht  #
# - $verknuepfung = UND oder ODER                    #
# - $thesaurus = Schlagwort-IDs durch ; getrennt     #
# Rckgabe:                                          #
# Suchergebnis als MySQL-Fetched-Array               #
*****************************************************/

$i = 0;

if ($tab == "xxx") {
        echo "Diese Suchoption ist derzeit nicht freigeschaltet!";
        exit;
}

        //Zerlegen des Suchstrings

        $zahl = 0;
        $thesaurus = split(";", $thesaurus);
        if ($suchstr == "" && ($tab == "news" || $tab == "newsgroups" || $tab == "newsgroups_message")) {
                return 0;
        }
        $zerlegt = split(" ", $suchstr);
        while ($zerlegt[$zahl]) {
                if ($zerlegt[$zahl] != "AND" && $zerlegt[$zahl] != "OR" && $zerlegt[$zahl] != "NOT") {
                        if ($tolerant == "yes") {
                                if ($tab == "news") {
                                        $zerlegt[$zahl] = "(news_ueberschrift LIKE '%".$zerlegt[$zahl]."%' OR news_meldung LIKE '%".$zerlegt[$zahl]."%')";
                                        break;
                                }
                                if ($tab == "newsgroups_message") {
                                        $zerlegt[$zahl] = "(newsgroups_message_betreff LIKE '%".$zerlegt[$zahl]."%' OR newsgroups_message LIKE '%".$zerlegt[$zahl]."%')";
                                        break;
                                }
                                if ($tab == "newsgroups") {
                                        $zerlegt[$zahl] = "(newsgroups_themen LIKE '%".$zerlegt[$zahl]."%' OR newsgroups_definition LIKE '%".$zerlegt[$zahl]."%')";
                                        break;
                                }
                                if ($tab == "quellen") {
                                        $zerlegt[$zahl] = "(quellen_titel LIKE '%".$zerlegt[$zahl]."%' OR quellen_kommentar LIKE '%".$zerlegt[$zahl]."%' OR quellen_zeitschrifttitel LIKE '%".$zerlegt[$zahl]."%')";
                                        break;
                                }
                                if ($tab == "faktendaten") {
                                        $zerlegt[$zahl] = "(faktendaten_frage LIKE '%".$zerlegt[$zahl]."%' OR faktendaten_antwort LIKE '%".$zerlegt[$zahl]."%')";
                                        break;
                                }
                                if ($tab == "dokumente") {
                                        $zerlegt[$zahl] = "(dokumente_titel LIKE '%".$zerlegt[$zahl]."%' OR dokumente_kommentar LIKE '%".$zerlegt[$zahl]."%')";
                                        break;
                                }
                                else {
                                        die("Unzul&auml;ssige Tabelle zum Durchsuchen gew&auml;hlt!");
                                }
                        }
                        else {
                                if ($tab == "news") {
                                        $zerlegt[$zahl] = "(news_ueberschrift='".$zerlegt[$zahl]."' OR news_meldung='".$zerlegt[$zahl]."')";
                                        break;
                                }
                                if ($tab == "newsgroups_message") {
                                        $zerlegt[$zahl] = "(newsgroups_message_betreff='".$zerlegt[$zahl]."' OR newsgroups_message='".$zerlegt[$zahl]."')";
                                        break;
                                }
                                if ($tab == "newsgroups") {
                                        $zerlegt[$zahl] = "(newsgroups_themen='".$zerlegt[$zahl]."' OR newsgroups_definition='".$zerlegt[$zahl]."')";
                                        break;
                                }
                                if ($tab == "quellen") {
                                        $zerlegt[$zahl] = "(quellen_titel='".$zerlegt[$zahl]."' OR quellen_kommentar='".$zerlegt[$zahl]."' OR quellen_zeitschrifttitel='".$zerlegt[$zahl]."')";
                                        break;
                                }
                                if ($tab == "faktendaten") {
                                        $zerlegt[$zahl] = "(faktendaten_frage='".$zerlegt[$zahl]."' OR faktendaten_antwort='".$zerlegt[$zahl]."')";
                                        break;
                                }
                                if ($tab == "dokumente") {
                                        $zerlegt[$zahl] = "(dokumente_titel='".$zerlegt[$zahl]."' OR dokumente_kommentar='".$zerlegt[$zahl]."')";
                                        break;
                                }
                                else {
                                        die("Unzul&auml;ssige Tabelle zum Durchsuchen gew&auml;hlt!");
                                }
                        }
                }
                $zahl++;
        }
        $suchstr = implode(" ".$verknuepfung." ", $zerlegt);

        //Formulierung der Suchanfrage an die Datenbank
        if ($suchstr == "") {
                $suchstr = "1";
        }
        $suchmaterial = "SELECT * FROM ".$tab." WHERE ".$suchstr;
        if ($tab != "news" && $tab != "newsgroups_message" && $tab != "newsgroups") {
                $s = 0;
                while ($thesaurus[$s]) {
                        $klammer = "yes";
                        if ($s == 0) {
                                $suchmaterial .= " AND (".$tab."_klassifikation_FK=".$thesaurus[$s];
                        }
                        else {
                                $suchmaterial .= " OR ".$tab."_klassifikation_FK=".$thesaurus[$s];
                        }
                        $s++;
                }
        }
        if (@$klammer == "yes") {
                $suchmaterial .= ")";
        }
        $suchmaterial .= " ORDER BY ".$tab."_datum desc";
        //echo $suchmaterial."<br>"; #to debug
        @$suchmaterialdaten = mysql_query($suchmaterial);
        while (@$ergebnis = mysql_fetch_array($suchmaterialdaten)) {
                $k = 0;
                while ($k < mysql_num_fields($suchmaterialdaten)) {
                        $feld = mysql_field_name($suchmaterialdaten,$k);
                        $rueckgabe[$i][$feld] = $ergebnis[$feld];
                        $k++;
                }
                $i++;
        }

        //Es folgt die Suche nach Schlagworten ber den Thesaurus

        if ($thesaurus[0]) {
        $suchmaterial = "SELECT * FROM verschlagwortung WHERE (verschlagwortung_schlagwort_FK=".$thesaurus[0]." AND verschlagwortung_dok_typ=\"".$tab."\")";
                $s = 1;
                while ($thesaurus[$s]) {
                        $suchmaterial .= " OR verschlagwortung_schlagwort_FK=".$thesaurus[$s]." AND verschlagwortung_dok_typ=\"".$tab."\")";
                        $s++;
                }
        }
        //echo $suchmaterial."<br>"; #to debug
        @$suchmaterialdaten = mysql_query($suchmaterial);
        while (@$ergebnis = mysql_fetch_array($suchmaterialdaten)) {
                @$suchformatierung = "SELECT * FROM ".$ergebnis["verschlagwortung_dok_typ"]." WHERE ".$ergebnis["verschlagwortung_dok_typ"]."_ID=".$ergebnis["verschlagwortung_dok_FK"]." ORDER BY ".$ergebnis["verschlagwortung_dok_typ"]."_datum desc";
                $suchformatierungsdaten = mysql_query($suchformatierung);
                @$formatierungsergebnis = mysql_fetch_array($suchformatierungsdaten);
                $k = 0;
                while ($k < @mysql_num_fields($suchformatierungsdaten)) {
                        $feld = mysql_field_name($suchformatierungsdaten,$k);
                        $rueckgabe[$i][$feld] = $formatierungsergebnis[$feld];
                        $k++;
                }
                $i++;
        }

return (@$rueckgabe);

}

function gib_freie_daten($ID, $typ) {

/*****************************************************************
# Ermittelt freigegebene Daten zu bestimmten Relevanzkreisen     #
# Erstellungsdatum: 04.04.2002                                   #
# Erwartete bergaben:                                           #
# - $ID = ID des Users/Seminars/Projekts                         #
# - $typ = "User", "Seminar" oder "projekt"                      #
# Rckgabe:                                                      #
# [Typ] und [ID] des Datensatzes in Form eines Arrays            #
*****************************************************************/

        $suchfreie = "SELECT * FROM autorenwechsel WHERE autorenwechsel_angefragt_FK=0";
        @$such = mysql_query($suchfreie);

        $i = 0;
        while (@$ergebnis = mysql_fetch_array($such)) {
                $sql = "SELECT * FROM dokumentzuordnung WHERE dokumentzuordnung_FK_ID=".$ID." && dokumentzuordnung_FK_typ='".$typ."'";
                @$tues = mysql_query($sql);
                while (@$vergleichsergebnis = mysql_fetch_array($tues)) {
                        if ($ergebnis["dokumentzuordnung_dok_ID"] == $vergleichsergebnis["autorenwechsel_dok_FK"] && $ergebnis["dokumentzuordnung_dok_typ"] == $vergleichsergebnis["autorenwechsel_dok_typ"]) {
                                $rueckgabe[$i]["Typ"] = $ergebnis["autorenwechsel_dok_typ"];
                                $rueckgabe[$i]["ID"] = $ergebnis["autorenwechsel_dok_FK"];
                        }
                }
                $i++;
        }

return (@$rueckgabe);

}

function export_to_wddx() {

/*****************************************************************
# Ermittelt freigegebene Daten zu bestimmten Relevanzkreisen     #
# Erstellungsdatum: 04.04.2002                                   #
# Erwartete bergaben:                                           #
# KEINE                                                          #
# Rckgabe:                                                      #
# KEINE                                                          #
*****************************************************************/

        include (dirname(__FILE__)."/../../config.inc.php");

        if (!(@file_exists(dirname(__FILE__)."/../".$exportpfad))) {
                mkdir(dirname(__FILE__)."/../".$exportpfad, "0777");
        }

        if (@$wddx_installed == "yes") {
        $wddxexp = wddx_packet_start("Exportdaten der ".$hochschulname);

        if ($export_news == "yes") {

                $suchnews = "SELECT news_ueberschrift, news_meldung, news_datum, nutzerdaten_vorname, nutzerdaten_nachname FROM news LEFT JOIN nutzerdaten ON news.news_autor_FK=nutzerdaten.nutzerdaten_ID";
                @$such = mysql_query($suchnews);

                while ($newsmeldung = mysql_fetch_array($such, MYSQL_ASSOC)) {
                        wddx_add_vars($wddxexp, "newsmeldung");
                }
        }
        if ($export_quellen == "yes") {

                $suchnews = "SELECT quellen_typ, quellen_ID, quellen_autor_1, quellen_autor_2, quellen_autor_3, quellen_titel, quellen_verlag, quellen_jahr, quellen_serie, quellen_zeitschrifttitel, quellen_zeitschriftausgabe, quellen_zeitschriftjahrgang, quellen_seitenangabe, quellen_kommentar, quellen_URL, quellen_datum, begriffe_begriff FROM quellen LEFT JOIN begriffe ON quellen.quellen_klassifikation_FK=begriffe.begriffe_ID";
                @$such = mysql_query($suchnews);

                while ($quelle = mysql_fetch_array($such, MYSQL_ASSOC)) {
                        wddx_add_vars($wddxexp, "quelle");
                        $sql = "SELECT verschlagwortung_dok_FK, begriffe_begriff FROM verschlagwortung LEFT JOIN begriffe ON verschlagwortung.verschlagwortung_schlagwort_FK=begriffe.begriffe_ID WHERE verschlagwortung_dok_FK=".$quelle["quellen_ID"]." AND verschlagwortung_dok_typ=\"quellen\"";
                        @$tues = mysql_query($sql);
                        while (@$quellenschlagworte = mysql_fetch_array($tues, MYSQL_ASSOC)) {
                                wddx_add_vars($wddxexp, "quellenschlagworte");
                        }
                }
        }
        if ($export_materialien == "yes") {

                $suchnews = "SELECT dokumente_ID, dokumente_titel, dokumente_kommentar, dokumente_pfad, dokumente_version, dokumente_datum, nutzerdaten_vorname, nutzerdaten_nachname, begriffe_begriff FROM dokumente LEFT JOIN nutzerdaten ON dokumente.dokumente_autor_FK=nutzerdaten.nutzerdaten_ID LEFT JOIN begriffe ON dokumente.dokumente_klassifikation_FK=begriffe.begriffe_ID";
                @$such = mysql_query($suchnews);

                while (@$material = mysql_fetch_array($such, MYSQL_ASSOC)) {
                        $material["dokumente_pfad"] = $eisdomain."/".$materialpfad."/".$material["dokumente_pfad"];
                        wddx_add_vars($wddxexp, "material");
                        $sql = "SELECT verschlagwortung_dok_FK, begriffe_begriff FROM verschlagwortung LEFT JOIN begriffe ON verschlagwortung.verschlagwortung_schlagwort_FK=begriffe.begriffe_ID WHERE verschlagwortung_dok_FK=".$material["dokumente_ID"]." AND verschlagwortung_dok_typ=\"dokumente\"";
                        @$tues = mysql_query($sql);
                        while (@$dokuementschlagworte = mysql_fetch_array($tues, MYSQL_ASSOC)) {
                                wddx_add_vars($wddxexp, "dokumentschlagworte");
                        }
                }
        }
        if ($export_faq == "yes") {

                $suchnews = "SELECT faktendaten_ID, faktendaten_frage, faktendaten_antwort, faktendaten_faktentyp, faktendaten_datum, nutzerdaten_vorname, nutzerdaten_nachname, begriffe_begriff FROM faktendaten LEFT JOIN nutzerdaten ON faktendaten.faktendaten_autor_FK=nutzerdaten.nutzerdaten_ID LEFT JOIN begriffe ON faktendaten.faktendaten_klassifikation_FK=begriffe.begriffe_ID";
                @$such = mysql_query($suchnews);

                while ($faq = mysql_fetch_array($such, MYSQL_ASSOC)) {
                        wddx_add_vars($wddxexp, "faq");
                        $sql = "SELECT verschlagwortung_dok_FK, begriffe_begriff FROM verschlagwortung LEFT JOIN begriffe ON verschlagwortung.verschlagwortung_schlagwort_FK=begriffe.begriffe_ID WHERE verschlagwortung_dok_FK=".$faq["faktendaten_ID"]." AND verschlagwortung_dok_typ=\"faktendaten\"";
                        @$tues = mysql_query($sql);
                        while (@$faqschlagworte = mysql_fetch_array($tues, MYSQL_ASSOC)) {
                                wddx_add_vars($wddxexp, "faqschlagworte");
                        }
                }
        }
        if ($export_thesaurus == "yes") {

                $suchnews = "SELECT begriffe_begriff FROM begriffe ORDER BY begriffe_begriff";
                @$such = mysql_query($suchnews);

                while ($thesaurus = mysql_fetch_array($such, MYSQL_ASSOC)) {
                        wddx_add_vars($wddxexp, "thesaurus");
                }
        }
        if ($export_newsgroups == "yes") {

                $suchnews = "SELECT newsgroups_themen, newsgroups_definition, newsgroups_datum, nutzerdaten_vorname, nutzerdaten_nachname FROM newsgroups LEFT JOIN nutzerdaten ON newsgroups.newsgroups_nutzer_FK=nutzerdaten.nutzerdaten_ID";
                $such = mysql_query($suchnews);

                while (@$newsgroups = mysql_fetch_array($such, MYSQL_ASSOC)) {
                        wddx_add_vars($wddxexp, "newsgroups");
                }

                $suchmessage = "SELECT newsgroups_message_betreff, newsgroups_message, newsgroups_message_datum, newsgroups_themen, nutzerdaten_vorname, nutzerdaten_nachname FROM newsgroups_message LEFT JOIN newsgroups ON newsgroups_message.newsgroups_message_newsgroup_FK=newsgroups.newsgroups_ID LEFT JOIN nutzerdaten ON newsgroups_message.newsgroups_message_autor_FK=nutzerdaten.nutzerdaten_ID";
                @$messagesuch = mysql_query($suchmessage);

                while (@$nachricht = mysql_fetch_array($messagesuch, MYSQL_ASSOC)) {
                        wddx_add_vars($wddxexp, "nachricht");
                }
        }
        if ($export_seminare == "yes") {

                $suchnews = "SELECT seminar_seminartitel, seminar_abstract, seminar_semester, seminar_studienabschnitt, nutzerdaten_vorname, nutzerdaten_nachname FROM seminar LEFT JOIN nutzerdaten ON seminar.seminar_anbieter_FK=nutzerdaten.nutzerdaten_ID";
                @$such = mysql_query($suchnews);

                while ($seminar = mysql_fetch_array($such, MYSQL_ASSOC)) {
                        wddx_add_vars($wddxexp, "seminar");
                }
        }
        $wddx_paket = wddx_packet_end($wddxexp);
        $saveexport = fopen (dirname(__FILE__)."/../".$exportpfad."/exportdaten.xml", "w");
        fputs ($saveexport, "<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?>");
        fputs ($saveexport, "<?xml-stylesheet type=\"text/xsl\" href=\"../wmf_archiv/stylesheets/layout.xsl\"?>");
        fputs ($saveexport, $wddx_paket);
        fclose ($saveexport);
        }
}

function check_studiengaenge() {
/*****************************************************************
# Ermittelt, ob ein oder mehrere Studiengnge im EIS-Board       #
# eingetragen sind                                               #
# Erstellungsdatum: 16.09.2002                                   #
# Erwartete bergaben:                                           #
# KEINE                                                          #
# Rckgabe:                                                      #
# true, wenn Studiengnge vorhanden sind, sonst false            #
*****************************************************************/

        $sql = "SELECT * FROM studiengaenge";
        $doit = mysql_query($sql);

        if (mysql_num_rows($doit) == 0) {
                return ("false");
        }
        else {
                return ("true");
        }

}

function gib_relevante_veranstaltungen($user_ID) {
/********************************************************************
# Ermittelt die "relevanten" Seminare und Projekte fr einen Nutzer #
# Als "relevant" werden alle Veranstaltungen beurteilt, die in      #
# Studiengang und Semester/Studienabschnitt des Users fallen bzw.   #
# alle Veranstaltungen, die der User selbst anbietet                #
# Alternative: (derzeit nicht aktiviert)                            #
# Was als "relevant" gilt wird nach dem Status des Users bemessen.  #
# Fr Studenten sind es die Veranstaltungen angesehen, die in       #
# Studiengang und Semester mit dem Studenten bereinstimmen, fr    #
# Tutoren sind ausserdem die eigenen Veranstaltungen relevant,      #
# bei Lehrenden werden nur die eigenen angezeigt                    #
# und fr Administratoren sind alle Seminare irrelevant             #
# Erstellungsdatum: 16.09.2002                                      #
# Erwartete bergaben:                                              #
# $user_ID: ID des Nutzers                                          #
# Rckgabe:                                                         #
# Liste der relevanten Veranstaltungen als mehrdimensionaler Array  #
********************************************************************/

        $sql = "SELECT nutzerdaten_semester, nutzerdaten_studiengang, studiengang_hauptstudium FROM nutzerdaten LEFT JOIN studiengaenge ON nutzerdaten.nutzerdaten_studiengang=studiengaenge.studiengang_ID WHERE nutzerdaten_ID=".$user_ID;
        $doit = mysql_query($sql);

        $studiengang = mysql_fetch_array($doit);

        //$status = gib_status($user_ID);

        //if ($status == "Tutor" || $status == "Student") {
                if ($studiengang["studiengang_hauptstudium"] <= $studiengang["nutzerdaten_semester"]) {
                        $sql = "SELECT * FROM seminar WHERE seminar_studiengang_FK=".$studiengang["nutzerdaten_studiengang"]." && (((seminar_semester=0 && (seminar_studienabschnitt=2 || seminar_studienabschnitt=0)) || seminar_semester=".$studiengang["nutzerdaten_semester"].") || seminar_anbieter_FK=".$user_ID.")";
                }
                else {
                        $sql = "SELECT * FROM seminar WHERE seminar_studiengang_FK=".$studiengang["nutzerdaten_studiengang"]." && (((seminar_semester=0 && (seminar_studienabschnitt=1 || seminar_studienabschnitt=0)) || seminar_semester=".$studiengang["nutzerdaten_semester"].") || seminar_anbieter_FK=".$user_ID.")";
                }
        //}
        $doit = mysql_query($sql);

        $i = 0;

        while (@$ergebnis = mysql_fetch_array($doit)) {
                for ($k = 0; $k < mysql_num_fields($doit); $k++) {
                        $feld = mysql_field_name($doit,$k);
                        $rueckgabe[$i]["seminar"][$feld] = $ergebnis[$feld];
                }
                $i++;
        }

        //if ($status == "Tutor" || $status == "Student") {
                if ($studiengang["studiengang_hauptstudium"] <= $studiengang["nutzerdaten_semester"]) {
                        $sql = "SELECT * FROM projekt WHERE projekt_studiengang_FK=".$studiengang["nutzerdaten_studiengang"]." && (((projekt_semester=0 && (projekt_studienabschnitt=2 || projekt_studienabschnitt=0)) || projekt_semester=".$studiengang["nutzerdaten_semester"].") || projekt_anbieter_FK=".$user_ID.")";
                }
                else {
                        $sql = "SELECT * FROM projekt WHERE projekt_studiengang_FK=".$studiengang["nutzerdaten_studiengang"]." && (((projekt_semester=0 && (projekt_studienabschnitt=1 || projekt_studienabschnitt=0)) || projekt_semester=".$studiengang["nutzerdaten_semester"].") || projekt_anbieter_FK=".$user_ID.")";
                }
        //}
        $doit = mysql_query($sql);

        $i = 0;

        while (@$ergebnis = mysql_fetch_array($doit)) {
                for ($k = 0; $k < mysql_num_fields($doit); $k++) {
                        $feld = mysql_field_name($doit,$k);
                        $rueckgabe[$i]["projekt"][$feld] = $ergebnis[$feld];
                }
                $i++;
        }

        return ($rueckgabe);
}

?>
