<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="char">
        <xsl:if test="@code='0D'"><br/></xsl:if>
        <xsl:if test="@code='FFFFFFFC'"><xsl:text></xsl:text></xsl:if>
        <xsl:if test="@code='FFFFFFDC'"><xsl:text></xsl:text></xsl:if>
        <xsl:if test="@code='FFFFFFE4'"><xsl:text></xsl:text></xsl:if>
        <xsl:if test="@code='FFFFFFC4'"><xsl:text></xsl:text></xsl:if>
        <xsl:if test="@code='FFFFFFF6'"><xsl:text></xsl:text></xsl:if>
        <xsl:if test="@code='FFFFFFD6'"><xsl:text></xsl:text></xsl:if>
        <xsl:if test="@code='FFFFFFDF'"><xsl:text></xsl:text></xsl:if>
        <xsl:if test="@code='FFFFFFB0'"><xsl:text></xsl:text></xsl:if>
</xsl:template>

<xsl:template match="wddxPacket">
        <html>
                <head>
                        <title><xsl:value-of select="header/comment"/></title>
                </head>
                <body bgcolor="#FFFFD7">
                <font face="VERDANA,ARIAL,HELVETICA" size="2" color="#00007F">
                        <xsl:apply-templates/>
                </font>
                </body>
        </html>
</xsl:template>

<xsl:template match="wddxPacket/header/comment">
        <h2><i><b><xsl:value-of select="."/></b></i></h2>
</xsl:template>

<xsl:template match="wddxPacket/data/struct/var">
        <xsl:if test="@name='faq'">
        <br/><br/><b>FAQ-Frage</b><br/>
                <xsl:for-each select="struct/var">
                        <xsl:if test="@name='faktendaten_frage'">
                                <b><xsl:apply-templates/></b><br/>
                        </xsl:if>
                        <xsl:if test="@name='faktendaten_antwort'">
                                <i><xsl:apply-templates/></i><br/>
                        </xsl:if>
                        <xsl:if test="@name='faktendaten_faktentyp'">
                                (<xsl:apply-templates/>)<br/>
                        </xsl:if>
                        <xsl:if test="@name='faktendaten_datum'">
                                geschrieben am: <xsl:value-of select="."/><br/>
                        </xsl:if>
                        <xsl:if test="@name='begriffe_begriff'">
                                Thematik: <xsl:value-of select="."/><br/>
                        </xsl:if>
                        <xsl:if test="@name='nutzerdaten_vorname'">
                                von: <xsl:value-of select="."/><xsl:text> </xsl:text>
                        </xsl:if>
                        <xsl:if test="@name='nutzerdaten_nachname'">
                                <xsl:value-of select="."/><br/><br/>
                        </xsl:if>
                </xsl:for-each>
        </xsl:if>

        <xsl:if test="@name='material'">
        <br/><br/><b>Material</b><br/>
                <xsl:for-each select="struct/var">
                        <xsl:if test="@name='dokumente_ID'">
                                <xsl:variable name="doknummer"><xsl:value-of select="."/></xsl:variable><br/>
                        </xsl:if>
                        <xsl:if test="@name='dokumente_titel'">
                                <b><xsl:apply-templates/></b><br/>
                        </xsl:if>
                        <xsl:if test="@name='dokumente_kommentar'">
                                <i><xsl:apply-templates/></i><br/>
                        </xsl:if>
                        <xsl:if test="@name='dokumente_pfad'">
                                <a>
                                <xsl:attribute name="href">
                                        <xsl:value-of select="."/>
                                </xsl:attribute>
                                <xsl:attribute name="target">
                                        _new
                                </xsl:attribute>
                                <xsl:value-of select="."/>
                                </a><br/>
                        </xsl:if>
                        <xsl:if test="@name='dokumente_version'">
                                Version <xsl:value-of select="."/><br/>
                        </xsl:if>
                        <xsl:if test="@name='dokumente_datum'">
                                eingestellt am: <xsl:value-of select="."/><br/>
                        </xsl:if>
                        <xsl:if test="@name='nutzerdaten_vorname'">
                                von: <xsl:value-of select="."/><xsl:text> </xsl:text>
                        </xsl:if>
                        <xsl:if test="@name='nutzerdaten_nachname'">
                                <xsl:value-of select="."/><br/><br/>
                        </xsl:if>
                </xsl:for-each>
        </xsl:if>

        <xsl:if test="@name='newsmeldung'">
        <br/><br/><b>Newsmeldung</b><br/>
                <xsl:for-each select="struct/var">
                        <xsl:if test="@name='news_ueberschrift'" >
                                <br/><b><xsl:apply-templates/></b><br/>
                        </xsl:if>
                        <xsl:if test="@name='news_meldung'" >
                                <i><xsl:apply-templates/></i><br/>
                        </xsl:if>
                        <xsl:if test="@name='news_datum'" >
                                geschrieben am: <xsl:apply-templates/><br/>
                        </xsl:if>
                        <xsl:if test="@name='nutzerdaten_vorname'" >
                                von: <xsl:apply-templates/><xsl:text> </xsl:text>
                        </xsl:if>
                        <xsl:if test="@name='nutzerdaten_nachname'" >
                                <xsl:apply-templates/>
                        </xsl:if>
                </xsl:for-each>
        </xsl:if>

        <xsl:if test="@name='quelle'">
        <br/><br/><b>Quelle</b><br/>
                <xsl:for-each select="struct/var">
                        <xsl:if test="@name='quellen_autor_1'">
                                <xsl:variable name="temp"><xsl:value-of select="."/></xsl:variable>
                                <xsl:if test="not($temp = null)">
                                <xsl:if test="not($temp = '')">
                                        <i><xsl:apply-templates/></i>
                                </xsl:if>
                                </xsl:if>
                        </xsl:if>
                        <xsl:if test="@name='quellen_autor_2'">
                                <xsl:variable name="temp"><xsl:value-of select="."/></xsl:variable>
                                <xsl:if test="not($temp = null)">
                                <xsl:if test="not($temp = '')">
                                        <xsl:text>, </xsl:text><i><xsl:apply-templates/></i>
                                </xsl:if>
                                </xsl:if>
                        </xsl:if>
                        <xsl:if test="@name='quellen_autor_3'">
                                <xsl:variable name="temp"><xsl:value-of select="."/></xsl:variable>
                                <xsl:if test="not($temp = null)">
                                <xsl:if test="not($temp = '')">
                                        <xsl:text>, </xsl:text><i><xsl:apply-templates/></i>
                                </xsl:if>
                                </xsl:if>
                        </xsl:if>
                        <xsl:if test="@name='quellen_titel'">
                                <br/><b><xsl:apply-templates/></b><br/>
                        </xsl:if>
                        <xsl:if test="@name='quellen_kommentar'">
                                <xsl:variable name="temp"><xsl:value-of select="."/></xsl:variable>
                                <xsl:if test="not($temp = null)">
                                        <i><xsl:apply-templates/></i><br/>
                                </xsl:if>
                        </xsl:if>
                        <xsl:if test="@name='quellen_verlag'">
                                <xsl:variable name="temp"><xsl:value-of select="."/></xsl:variable>
                                <xsl:if test="not($temp = null)">
                                        <xsl:apply-templates/><xsl:text>, </xsl:text>
                                </xsl:if>
                        </xsl:if>
                        <xsl:if test="@name='quellen_jahr'">
                                <xsl:variable name="temp"><xsl:value-of select="."/></xsl:variable>
                                <xsl:if test="not($temp = null)">
                                        <xsl:apply-templates/><br/>
                                </xsl:if>
                        </xsl:if>
                        <xsl:if test="@name='quellen_serie'">
                                <xsl:variable name="temp"><xsl:value-of select="."/></xsl:variable>
                                <xsl:if test="not($temp = null)">
                                <xsl:if test="not($temp = '')">
                                        <i>(<xsl:apply-templates/>)</i><br/>
                                </xsl:if>
                                </xsl:if>
                        </xsl:if>
                        <xsl:if test="@name='quellen_zeitschrifttitel'">
                                <xsl:variable name="temp"><xsl:value-of select="."/></xsl:variable>
                                <xsl:if test="not($temp = null)">
                                        in: <xsl:apply-templates/><xsl:text>, </xsl:text>
                                </xsl:if>
                        </xsl:if>
                        <xsl:if test="@name='quellen_zeitschriftausgabe'">
                                <xsl:variable name="temp"><xsl:value-of select="."/></xsl:variable>
                                <xsl:if test="not($temp = null)">
                                        Ausg. <xsl:apply-templates/><xsl:text>, </xsl:text>
                                </xsl:if>
                        </xsl:if>
                        <xsl:if test="@name='quellen_zeitschriftjahrgang'">
                                <xsl:variable name="temp"><xsl:value-of select="."/></xsl:variable>
                                <xsl:if test="not($temp = null)">
                                        (<xsl:apply-templates/><xsl:text>. Jg.), </xsl:text>
                                </xsl:if>
                        </xsl:if>
                        <xsl:if test="@name='quellen_seitenangabe'">
                                <xsl:variable name="temp"><xsl:value-of select="."/></xsl:variable>
                                <xsl:if test="not($temp = null)">
                                        S. <xsl:apply-templates/><br/>
                                </xsl:if>
                        </xsl:if>
                        <xsl:if test="@name='quellen_URL'">
                                <xsl:variable name="temp"><xsl:value-of select="."/></xsl:variable>
                                <xsl:if test="not($temp = null)">
                                <xsl:if test="not($temp = '')">
                                        URL:
                                        <a>
                                                <xsl:attribute name="href">
                                                        <xsl:value-of select="$temp"/>
                                                </xsl:attribute>
                                                <xsl:attribute name="target">
                                                        _new
                                                </xsl:attribute>
                                        <xsl:apply-templates/>
                                        </a><br/>
                                </xsl:if>
                                </xsl:if>
                        </xsl:if>
                        <xsl:if test="@name='quellen_datum'" >
                                geschrieben am: <xsl:apply-templates/><br/>
                        </xsl:if>
                        <xsl:if test="@name='begriffe_begriff'">
                                Klassifikation: <xsl:apply-templates/><br/><br/>
                        </xsl:if>

                        <xsl:if test="@name='quellen_typ'">
                                <xsl:variable name="quelle_typ"><xsl:value-of select="."/></xsl:variable>
                        </xsl:if>
                        <xsl:if test="@name='quellen_ID'">
                                <xsl:variable name="quellen_id"><xsl:value-of select="."/></xsl:variable>
                        </xsl:if>
                </xsl:for-each>
        </xsl:if>

        <xsl:if test="@name='thesaurus'">
        <br/><br/><b>Thesaurus</b><br/>
                <xsl:for-each select="struct/var">
                        <xsl:if test="@name='begriffe_ID'">
                                <xsl:variable name="swnummer"><xsl:value-of select="."/></xsl:variable>
                        </xsl:if>
                        <xsl:if test="@name='begriffe_begriff'">
                                <i><xsl:apply-templates/></i><br/>
                        </xsl:if>
                </xsl:for-each>
        </xsl:if>

        <xsl:if test="@name='newsgroups'">
        <br/><br/><b>Newsgroups</b><br/>
                <xsl:for-each select="struct/var">
                        <xsl:if test="@name='newsgroups_themen'">
                                <b><xsl:apply-templates/></b><br/>
                        </xsl:if>
                        <xsl:if test="@name='newsgroups_definition'">
                                <i><xsl:apply-templates/></i><br/>
                        </xsl:if>
                        <xsl:if test="@name='newsgroups_datum'">
                                Gruppe erffnet am: <xsl:value-of select="."/><br/>
                        </xsl:if>
                        <xsl:if test="@name='nutzerdaten_vorname'">
                                von: <xsl:value-of select="."/><xsl:text> </xsl:text>
                        </xsl:if>
                        <xsl:if test="@name='nutzerdaten_nachname'">
                                <xsl:value-of select="."/><br/><br/>
                        </xsl:if>
                </xsl:for-each>
        </xsl:if>
        <xsl:if test="@name='nachricht'">
        <br/><br/><b>Newsgroup-Nachrichten</b><br/>
                <xsl:for-each select="struct/var">
                        <xsl:if test="@name='newsgroups_message_betreff'">
                                <b><xsl:apply-templates/></b><br/>
                        </xsl:if>
                        <xsl:if test="@name='newsgroups_message'">
                                <i><xsl:apply-templates/></i><br/>
                        </xsl:if>
                        <xsl:if test="@name='newsgroups_message_datum'">
                                Nachricht vom: <xsl:value-of select="."/><br/>
                        </xsl:if>
                        <xsl:if test="@name='newsgroups_themen'">
                                Gehrt zu Gruppe: <xsl:value-of select="."/><br/>
                        </xsl:if>
                        <xsl:if test="@name='nutzerdaten_vorname'">
                                von: <xsl:value-of select="."/><xsl:text> </xsl:text>
                        </xsl:if>
                        <xsl:if test="@name='nutzerdaten_nachname'">
                                <xsl:value-of select="."/><br/><br/>
                        </xsl:if>
                </xsl:for-each>
        </xsl:if>

        <xsl:if test="@name='seminar'">
        <br/><br/><b>Seminar</b><br/>
                <xsl:for-each select="struct/var">
                        <xsl:if test="@name='seminar_seminartitel'">
                                <b><xsl:apply-templates/></b><br/>
                        </xsl:if>
                        <xsl:if test="@name='seminar_abstract'">
                                <i><xsl:apply-templates/></i><br/>
                        </xsl:if>
                        <xsl:if test="@name='seminar_semester'">
                                <xsl:value-of select="."/><xsl:text>, </xsl:text>
                        </xsl:if>
                        <xsl:if test="@name='seminar_studienabschnitt'">
                                <xsl:value-of select="."/><br/>
                        </xsl:if>
                        <xsl:if test="@name='nutzerdaten_vorname'">
                                Veranstalter: <xsl:value-of select="."/><xsl:text> </xsl:text>
                        </xsl:if>
                        <xsl:if test="@name='nutzerdaten_nachname'">
                                <xsl:value-of select="."/><br/><br/>
                        </xsl:if>
                </xsl:for-each>
        </xsl:if>

</xsl:template>



</xsl:stylesheet>