<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="char">
        <xsl:if test="@code='0D'"><br/></xsl:if>
        <xsl:if test="@code='FFFFFFFC'"><xsl:text></xsl:text></xsl:if>
        <xsl:if test="@code='FFFFFFDC'"><xsl:text></xsl:text></xsl:if>
        <xsl:if test="@code='FFFFFFE4'"><xsl:text></xsl:text></xsl:if>
        <xsl:if test="@code='FFFFFFC4'"><xsl:text></xsl:text></xsl:if>
        <xsl:if test="@code='FFFFFFF6'"><xsl:text></xsl:text></xsl:if>
        <xsl:if test="@code='FFFFFFD6'"><xsl:text></xsl:text></xsl:if>
        <xsl:if test="@code='FFFFFFDF'"><xsl:text></xsl:text></xsl:if>
        <xsl:if test="@code='FFFFFFB0'"><xsl:text></xsl:text></xsl:if>
</xsl:template>

<xsl:template match="wddxPacket">
        <html>
                <head>
                        <title><xsl:value-of select="header/comment"/></title>
                </head>
                <body bgcolor="#FFFFD7">
                <font face="VERDANA,ARIAL,HELVETICA" size="2" color="#00007F">
                        <xsl:apply-templates/>
                </font>
                </body>
        </html>
</xsl:template>

<xsl:template match="wddxPacket/header/comment">
        <h2><i><b><xsl:value-of select="."/></b></i></h2>
</xsl:template>

<xsl:template match="wddxPacket/data/struct/var">
        <xsl:if test="@name='material'">
                <xsl:for-each select="struct/var">
                        <xsl:if test="@name='dokumente_ID'">
                                <xsl:variable name="doknummer"><xsl:value-of select="."/></xsl:variable><br/>
                        </xsl:if>
                        <xsl:if test="@name='dokumente_titel'">
                                <b><xsl:apply-templates/></b><br/>
                        </xsl:if>
                        <xsl:if test="@name='dokumente_kommentar'">
                                <i><xsl:apply-templates/></i><br/>
                        </xsl:if>
                        <xsl:if test="@name='dokumente_pfad'">
                                <a>
                                <xsl:attribute name="href">
                                        <xsl:value-of select="."/>
                                </xsl:attribute>
                                <xsl:attribute name="target">
                                        _new
                                </xsl:attribute>
                                <xsl:value-of select="."/>
                                </a><br/>
                        </xsl:if>
                        <xsl:if test="@name='dokumente_version'">
                                Version <xsl:value-of select="."/><br/>
                        </xsl:if>
                        <xsl:if test="@name='dokumente_datum'">
                                eingestellt am: <xsl:value-of select="."/><br/>
                        </xsl:if>
                        <xsl:if test="@name='nutzerdaten_vorname'">
                                von: <xsl:value-of select="."/><xsl:text> </xsl:text>
                        </xsl:if>
                        <xsl:if test="@name='nutzerdaten_nachname'">
                                <xsl:value-of select="."/><br/><br/>
                        </xsl:if>
                </xsl:for-each>
        </xsl:if>
</xsl:template>

</xsl:stylesheet>